Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.data
Class RangeType

    java.lang.Object
      org.jfree.data.RangeType

All Implemented Interfaces:
  java.io.Serializable

    public final class RangeType

extends java.lang.Object
implements java.io.Serializable

Used to indicate the type of range to display on an axis (full, positive or negative).

See Also:
  Serialized Form

Field Summary
`static RangeType` | `FULL` Full range (positive and negative).
`static RangeType` | `NEGATIVE` Negative range.
`static RangeType` | `POSITIVE` Positive range.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Returns `true` if this object is equal to the specified object, and `false` otherwise.
`int` | `hashCode()` Returns a hash code value for the object.
`java.lang.String` | `toString()` Returns a string representing the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### FULL

    public static final RangeType FULL

  Full range (positive and negative).

### POSITIVE

    public static final RangeType POSITIVE

  Positive range.

### NEGATIVE

    public static final RangeType NEGATIVE

  Negative range.

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representing the object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    The string.

### equals

    public boolean equals(java.lang.Object obj)

  Returns `true` if this object is equal to the specified object, and `false` otherwise.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the other object.
  Returns:
    A boolean.

### hashCode

    public int hashCode()

  Returns a hash code value for the object.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    The hashcode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD